Skip to main content
GET /api/v1/trades

Query Parameters

FieldTypeNeedDescriptionExample
”symbol”stringoptionalTrading pair symbol. If omitted, returns recent trades across all markets.BTC
/api/v1/trades?symbol=BTC

Response

  • Status 200: Successfully retrieved recent trades
{
  "success": true,
  "data": [
    {
      "event_type": "fulfill_taker",
      "price": "104721",
      "amount": "0.0001",
      "side": "close_long",
      "cause": "normal",
      "created_at": 1765006315306
    }
  ],
  "error": null,
  "code": null,
  "last_order_id": 1557404170
}
FieldTypeDescription
'event_type'string

”fulfill_taker” if maker
”fulfill_maker” if taker

'price'decimal stringPrice in USD at which trade event has occurred
'amount'decimal stringAmount in token denomination for which the trade has occurred.
'side'string

”open_long"
"open_short"
"close_long"
"close_short”

'cause'string

”normal”
regular user-initiated trading
”market_liquidation” position was liquidated due to insufficient margin
”backstop_liquidation” position was liquidated by backstop mechanism
”settlement”
position was closed due to Auto-Deleveraging (ADL) or other settlement
”insolvency_liquidation” position was closed due to account insolvency
”game_settlement” position was settled by the prediction game
”fulfill_rfq” trade resulted from an RFQ fill

'created_at'integerTimestamp in milliseconds of trade event
The response also includes a top-level last_order_id field (a sibling of data, error, and code — not a member of each trade object):
FieldTypeDescription
'last_order_id'integerExchange-wide nonce. Used to reliably determine exchange event ordering. Sequential and not subject to clock drift.
  • Status 400: Invalid request parameters
  • Status 401: Unauthorized access
  • Status 500: Internal server error

Code Example (Python)

import requests

response = requests.get(
    "/api/v1/trades?symbol=BTC",
    headers={"Accept": "*/*"},
)

data = response.json()